be.fgov.ehealth.etee.ra.csr._1_0.protocol

## Class ObjectFactory

- java.lang.Object
- - be.fgov.ehealth.etee.ra.csr._1_0.protocol.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.etee.ra.csr._1_0.protocol package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.etee.ra.csr._1_0.protocol

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContactDataType` | `createContactDataType()` Create an instance of `ContactDataType`
    `EHealthCertificateRequest` | `createEHealthCertificateRequest()` Create an instance of `EHealthCertificateRequest`
    `SearchCriteriumType` | `createSearchCriteriumType()` Create an instance of `SearchCriteriumType`
    `UsagesType` | `createUsagesType()` Create an instance of `UsagesType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.etee.ra.csr._1_0.protocol

  - ### Method Detail

    - #### createEHealthCertificateRequest

          public EHealthCertificateRequest createEHealthCertificateRequest()

      Create an instance of `EHealthCertificateRequest`

    - #### createContactDataType

          public ContactDataType createContactDataType()

      Create an instance of `ContactDataType`

    - #### createSearchCriteriumType

          public SearchCriteriumType createSearchCriteriumType()

      Create an instance of `SearchCriteriumType`

    - #### createUsagesType

          public UsagesType createUsagesType()

      Create an instance of `UsagesType`

Connector Packaging TECHNICAL 4.5.4 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.